libndctl6_63-1.3_i386.deb


Advertisement

Description

libndctl6 - Utility library for managing the libnvdimm subsystem

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libndctl6_63-1.3_i386.deb
Package name libndctl6
Package version 63
Package release 1.3
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/pmem/ndctl
License -
Maintainer Breno Leitao <leitao@debian.org>
Download size 49.46 KB
Installed size 176.00 KB
The nvdimm subsystem defines a kernel device model and control message
interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
(NVDIMM Firmware Interface Table).
This package contains a utility library for managing the libnvdimm
(non-volatile memory device) sub-system in the Linux kernel.

Alternatives

Package Version Architecture Repository
libndctl6_63-1.3_amd64.deb 63 amd64 Debian Main
libndctl6 - - -

Requires

Name Value
libc6 >= 2.17
libdaxctl1 >= 63
libkmod2 >= 5~
libudev1 >= 183
libuuid1 >= 2.16

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libndctl6_63-1.3_i386.deb
Source Package ndctl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libndctl6 deb package:
    # sudo apt-get install libndctl6

Files

Path
/usr/lib/i386-linux-gnu/libndctl.so.6
/usr/lib/i386-linux-gnu/libndctl.so.6.12.0
/usr/share/doc/libndctl6/changelog.Debian.gz
/usr/share/doc/libndctl6/copyright

Changelog

2018-11-27 - Jeremy Bicha <jbicha@debian.org>
ndctl (63-1.3) unstable; urgency=medium
* Non-maintainer upload.
* Incorporate several fixes from Ubuntu (Closes: #914797) (LP: #1804725)
- Don't include the version in -dev package names (Closes: #913887)
- Split daxctl to a separate package
- Add autopkgtests
- Add Breaks/Replaces for moved header file
- Don't directly Build-Depend on libuuid1
- Add README files from Ubuntu
- Use Ubuntu's debian/copyright to avoid Lintian warnings
- Use Ubuntu's package descriptions
- Also clean up test/test_dax_data created by tests
- Bump Standards-Version to 4.2.1
2018-11-22 - Jeremy Bicha <jbicha@debian.org>
ndctl (63-1.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix missing dependency from -dev packages to their shared libraries
* Bump debhelper compat to 11
* Use symbols files
* Use versioned provides for the soname-less -dev package names
* Fix several minor Lintian issues
2018-11-19 - Adam Borowski <kilobyte@angband.pl>
ndctl (63-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Make debian/copyright betterer. (Closes: #913713)
* Fix FTBFS on all architectures. (Closes: #913808)
* Install pkg-config files, make dh_missing fail. (Closes: #913809, #913737)
* Add provides for soname-less -dev packages. (Closes: #913887)
2018-11-07 - Breno Leitao <leitao@debian.org>
ndctl (63-1) unstable; urgency=medium
* Initial release. (Closes: #829257)

See Also

Package Description
libndp-dev_1.6-1+b1_i386.deb Library for Neighbor Discovery Protocol (development files)
libndp-tools_1.6-1+b1_i386.deb Library for Neighbor Discovery Protocol (tools)
libndp0_1.6-1+b1_i386.deb Library for Neighbor Discovery Protocol
libndpi-bin_2.6-3_i386.deb extensible deep packet inspection library - ndpiReader
libndpi-dev_2.6-3_i386.deb extensible deep packet inspection library - development files
libndpi-wireshark_2.6-3_i386.deb extensible deep packet inspection library - wireshark dissector
libndpi2.6_2.6-3_i386.deb extensible deep packet inspection library - shared library
libneko2_2.2.0-2+b12_i386.deb Lightweight virtual machine - shared library
libnekohtml-java-doc_1.9.22-1_all.deb NekoHTML - HTML parser for Java (Documentation)
libnekohtml-java_1.9.22-1_all.deb NekoHTML - HTML parser for Java
libnemesis3_6.02.dfsg.1-8+b1_i386.deb Parallel extension to the EXODUSII datamodel
libnemo-extension-dev_3.8.5-1+b1_i386.deb Nemo component system facilities (development files)
libnemo-extension1_3.8.5-1+b1_i386.deb Nemo component system facilities
libneo4j-client-dev_2.2.0-1+b1_i386.deb Development files for libneo4j-client, a client library for Neo4j
libneo4j-client-doc_2.2.0-1_all.deb Documentation for libneo4j-client, a client library for Neo4j
Advertisement
Advertisement